Bug 57538 - util-linux-2.11f-17 problems with awk
util-linux-2.11f-17 problems with awk
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-14 23:35 EST by sean
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-18 15:17:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sean 2001-12-14 23:35:05 EST
Description of Problem: rpm  --rebuild appears to succeed ( it writes a
binary rpm - which I'm not sure works ) but gives a lot of awk errors:

..........................................
+ cp -pr fdisk/sfdisk.examples
/var/tmp/util-linux-root/usr/share/doc/util-linux-2.11f
+ exit 0
Finding  Provides: (using /usr/lib/rpm/find-provides)...
Finding  Requires: (using /usr/lib/rpm/find-requires)...
awk: cmd. line:8: 	(START==1) && (LIBNAME!="") && ($4!="") &&
(($4~/^GLIBC_*/) || ($4~/^GCC_)) {
awk: cmd.
line:8: 	                                                                   
^ unterminated regexp
awk: cmd. line:9: 	(START==1) && (LIBNAME!="") && ($4!="") &&
(($4~/^GLIBC_*/) || ($4~/^GCC_)) {
awk: cmd.
line:9: 	                                                                            
^ unexpected newline
awk: cmd. line:9: 	    print LIBNAME "(" $4 ")";
awk: cmd. line:9: 	                            ^ parse error
awk: cmd. line:11: 	/^$/ { START=0; }
awk: cmd. line:11: 	     ^ parse error
awk: cmd. line:11: 	/^$/ { START=0; }
awk: cmd. line:11: 	              ^ parse error
awk: cmd. line:8: 	(START==1) && (LIBNAME!="") && ($4!="") &&
(($4~/^GLIBC_*/) || ($4~/^GCC_)) {
awk: cmd.
line:8: 	                                                                   
^ unterminated regexp
awk: cmd. line:9: 	(START==1) && (LIBNAME!="") && ($4!="") &&
(($4~/^GLIBC_*/) || ($4~/^GCC_)) {
awk: cmd.
line:9: 	                                                                            
^ unexpected newline
awk: cmd. line:9: 	    print LIBNAME "(" $4 ")";
awk: cmd. line:9: 	                            ^ parse error
awk: cmd. line:11: 	/^$/ { START=0; }
awk: cmd. line:11: 	     ^ parse error
awk: cmd. line:11: 	/^$/ { START=0; }
awk: cmd. line:11: 	              ^ parse error
awk: cmd. line:8: 	(START==1) && (LIBNAME!="") && ($4!="") &&
(($4~/^GLIBC_*/) || ($4~/^GCC_)) {
................................................
..................................................
awk: cmd. line:11: 	     ^ parse error
awk: cmd. line:11: 	/^$/ { START=0; }
awk: cmd. line:11: 	              ^ parse error
PreReq: /sbin/install-info /bin/sh /bin/sh rpmlib(PayloadFilesHavePrefix)
<= 4.0-1 rpmlib(CompressedFileNames) <= 3.0.4-1
Requires(interp): /bin/sh /bin/sh
........................................


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Jeff Johnson 2001-12-19 14:01:36 EST
Fixed in rpm-4.0.4-0.3

Note You need to log in before you can comment on or make changes to this bug.